<?php session_start();
	require "conexao.php";
	require 'FuncaoRazaoFornecedor.php';

	$data =  date('Y/m/d');

	//$cnpj = filter_var( $_POST['fornecedor'], FILTER_SANITIZE_STRING);
	$fornecedor = filter_var( $_POST['fornecedor'], FILTER_SANITIZE_STRING);
	//$fornecedor = FuncaoRazaoFornecedor($conexao,$cnpj);

	$datapedido = filter_var( $_POST['datapedido'], FILTER_SANITIZE_STRING);
	$fabricante = filter_var( $_POST['fabricante'], FILTER_SANITIZE_STRING);
	$prazo = filter_var( $_POST['prazo'], FILTER_SANITIZE_STRING);
	$observacao = filter_var( $_POST['observacao'], FILTER_SANITIZE_STRING);
	@$loja = filter_var( isset($_POST['loja']), FILTER_SANITIZE_STRING);
	$usuario = filter_input(INPUT_POST, 'usuario');
	$status = "Pendente";
	@$apelido =  filter_input(INPUT_POST, 'apelido');
	@$altorizar = filter_var( $_POST['aprovacao'], FILTER_SANITIZE_STRING);
	@$vinculo = filter_var( $_POST['vinculo'], FILTER_SANITIZE_STRING);
	@$lojasec = $_SESSION['loja'];
	@$vmatriz = filter_var( $_POST['matriz'], FILTER_SANITIZE_STRING);
	@$vloja02 = filter_var( $_POST['loja02'], FILTER_SANITIZE_STRING);
	@$vloja03 = filter_var( $_POST['loja03'], FILTER_SANITIZE_STRING);
	@$vloja04 = filter_var( $_POST['loja04'], FILTER_SANITIZE_STRING);
	@$vloja05 = filter_var( $_POST['loja05'], FILTER_SANITIZE_STRING);

if($loja){

//Declaramos a variável que vai receber o conteúdo da lista
$empresa = null;

//Verificamos se o índice existe
if (isset($_POST['loja'])){

    //Atribuimos a variável todo conteúdo do índice
    $empresa = $_POST['loja'];
}
//Verificamos se a variável não é nula
if ($empresa !== null){

    //Percorremos todos os conteúdos do array
    for ($i = 0; $i < count($empresa); $i++){
    
       $loja = $empresa[$i];


//verifica a loja
$loja = $loja;

switch ($loja) {
    case "matriz":
    	$valor = $vmatriz;
        break;
    case "loja02":
        $valor = $vloja02;
        break;
    case "loja03":
    	$valor = $vloja03;
        break;
     case "loja04":
     	$valor = $vloja04;
     	break;
     case "loja05":
     	$valor = $vloja05;
     	break;
     default:
     	$valor = 0;
 }

$valor = str_replace(".", "", $valor);

$valor=str_replace(",",".",$valor);

    //inseri os valores recebidos nas variaveis acima
	$query = "INSERT INTO pedidos (fornecedor, datapedido, fabricante, prazo, obs, loja, usuario, status, apelido, altorizar,vinculo,valor,cnpj) VALUES ('$fornecedor', '$datapedido', '$fabricante', '$prazo', '$observacao', '$loja', '$usuario', '$status', '$apelido', '$altorizar', '$vinculo','$valor','$cnpj');" ;

	if (mysqli_query($conexao, $query)) {

		$_SESSION['msg'] = "<div class='alert alert-success'>Cadastrada com sucesso </div>";
	header("Location: ../pedidos.php");

	}
  }
}

}else{

  	$loja = $_SESSION['loja'];
  	
//verifica a loja
switch ($loja) {
    case "matriz":
    	$valor = $vmatriz;
        break;
    case "loja02":
        $valor = $vloja02;
        break;
    case "loja03":
    	$valor = $vloja03;
        break;
     case "loja04":
     	$valor = $vloja04;
     	break;
     case "loja05":
     	$valor = $vloja05;
     	break;
     default:
     	$valor = 0;
 }

 $valor=str_replace(",",".",$valor);

	//inseri os valores recebidos nas variaveis acima
	$query = "INSERT INTO pedidos (fornecedor, datapedido, fabricante, prazo, obs, loja, usuario, status, apelido, altorizar,vinculo,valor,cnpj) VALUES ('$fornecedor', '$datapedido', '$fabricante', '$prazo', '$observacao', '$loja', '$usuario', '$status', '$apelido', '$altorizar', '$vinculo','$valor','$cnpj');" ;

	if (mysqli_query($conexao, $query)) {

		$_SESSION['msg'] = "<div class='alert alert-success'>Cadastrada com sucesso </div>";
		header("Location: ../pedidos.php");
 }
}